Module
Contents
Index 🔎︎

# GoSub...Return Statement

Calls a subroutine that is indicated by a label from a subroutine or a function. The statements following the label are executed until the next Return statement. Afterwards, the program continues with the statement that follows the GoSub statement.

## Sintakse:

    skatiet Parametri

## Parametri:

Sub/Function

priekšraksta bloks

Etiķete

priekšraksta bloks

GoSub Label

Exit Sub/Function

Etiķete:

priekšraksta bloks

Return

End Sub/Function

The GoSub statement calls a local subroutine indicated by a label from within a subroutine or a function. The name of the label must end with a colon (":").

If the program encounters a Return statement not preceded by GoSub, LibreOffice Basic returns an error message. Use Exit Sub or Exit Function to ensure that the program leaves a Sub or Function before reaching the next Return statement.

The following example demonstrates the use of GoSub and Return. By executing a program section twice, the program calculates the square root of two numbers that are entered by the user.

## Piemērs:

    Sub ExampleGoSub

    Dim iInputa As Single

    Dim iInputb As Single

    Dim iInputc As Single

        iInputa = Int(InputBox("Enter the first number: ","NumberInput"))

        iInputb = Int(InputBox("Enter the second number: ","NumberInput"))

        iInputc=iInputa

        GoSub SquareRoot

        Print "The square root of";iInputa;" is";iInputc

        iInputc=iInputb

        GoSub SquareRoot

        Print "The square root of";iInputb;" is";iInputc

        Exit Sub

    SquareRoot:

        iInputc=sqr(iInputc)

        Return

    End Sub